Bug 377021 - Mouse position causes performance problem with VMWare
Mouse position causes performance problem with VMWare
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 23:18 EST by Russell Robinson
Modified: 2008-01-15 22:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 22:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Robinson 2007-11-11 23:18:13 EST
Description of problem:
VMWare (Workstation) includes guest tools to help detect the mouse position and
determine whether the guest or host should have input.

This works extremely well in Kernel 2.6.22.5-76.fc7PAE but is completely
hopeless in Kernel 2.6.23.1-10.fc7PAE.

In the former, the mouse transitions easily and quickly with no pauses.

In the latter, there is a large multi-second pause in switching.

Version-Release number of selected component (if applicable):
See above.

How reproducible:
Perfectly.


Steps to Reproduce:
1. Install VMWare Workstation.
2. Install Windows XP guest and VMWare tools in the guest. Ensure Edit |
Preferences | Input is set to grab and release input on mouse entering/leaving
the window.
3. Boot 2.6.23.1-10.fc7PAE (or probably just 2.6.23.1-10.fc7).
4. Boot 2.6.22.5-76.fc7 and you'll see near perfect behaviour.
  
Actual results:
Large pauses on moving mouse in and out of window.

Expected results:
Instant transition of input.

Additional info:

Even clicking inside or outside the guest takes a long time to recognize the
input transition.
Comment 1 Chuck Ebbert 2007-11-12 17:36:09 EST
You really need to report this to vmware and see if there is an update available.

Comment 2 Russell Robinson 2007-11-12 20:50:21 EST
Hi Chuck,

Will do.  However, the fact that different kernels produce different results
suggests that they may have been a non-documented behaviour introduced.

regards,
Russell
Comment 3 Christopher Brown 2008-01-15 22:40:17 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

As this appears to be an issue with an unsupported application (and has had no
further update in a couple of months) I am closing as NOTABUG - indicating that
we do not believe this to be an issue with the Fedora kernel. Please do not
hesitate to re-open should you feel this to be incorrect and we will attempt to
investigate it further. Thank you for taking the time to file the original report.

Note You need to log in before you can comment on or make changes to this bug.